Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class PropagatingSecuritySettings.SecuritySetting

    java.lang.Object
      oracle.ifs.server.PropagatingSecuritySettings.SecuritySetting

Enclosing class:
  PropagatingSecuritySettings

    public static class PropagatingSecuritySettings.SecuritySetting

extends java.lang.Object

A SecuritySetting holds a specific security setting that should be propagated to secured-by objects.

Constructor Summary
`PropagatingSecuritySettings.SecuritySetting(java.lang.String attrName, java.lang.String colName, AttributeValue av)` Constructs a security setting.

Method Summary
`java.lang.String` | `getAttributeName()` Gets the attribute name.
`java.lang.String` | `getColumnName()` Gets the column name.
`AttributeValue` | `getValue()` Gets the value of the security setting.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagatingSecuritySettings.SecuritySetting

    public PropagatingSecuritySettings.SecuritySetting(java.lang.String attrName,
                                                       java.lang.String colName,
                                                       AttributeValue av)

  Constructs a security setting.

  Parameters:
    `attrName` - the Attribute name
    `colName` - the column name
    `av` - the value of the setting

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

  Description copied from class: `PropagatingSecuritySettings.SecuritySetting`
  Gets the attribute name.

  Returns:
    the attribute name

### getColumnName

    public java.lang.String getColumnName()

  Description copied from class: `PropagatingSecuritySettings.SecuritySetting`
  Gets the column name.

  Returns:
    the column name

### getValue

    public AttributeValue getValue()

  Description copied from class: `PropagatingSecuritySettings.SecuritySetting`
  Gets the value of the security setting.

  Returns:
    value of the security setting

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD